# ``twisted`.`logger`.`FilteringLogObserver``

class documentation

`class FilteringLogObserver: (source)`

Implements interfaces: `twisted.logger.ILogObserver`

View In Hierarchy

`ILogObserver` that wraps another `ILogObserver`, but filters out events based on applying a series of `ILogFilterPredicate`s.

Method | `__call__` | Forward to next observer if predicate allows it.
Method | `__init__` | No summary
Instance Variable | `_negativeObserver` | Undocumented
Instance Variable | `_observer` | Undocumented
Instance Variable | `_shouldLogEvent` | Undocumented

def __call__(self, event): (source)
from `twisted.logger.ILogObserver`
Forward to next observer if predicate allows it.

Parameters
event:`LogEvent` | Undocumented

def __init__(self, observer, predicates, negativeObserver=bitbucketLogObserver): (source)

Parameters
observer:`ILogObserver` | An observer to which this observer will forward events when `predictates` yield a positive result.
predicates:`Iterable[ILogFilterPredicate]` | Predicates to apply to events before forwarding to the wrapped observer.
negativeObserver:`ILogObserver` | An observer to which this observer will forward events when `predictates` yield a negative result.

_negativeObserver = (source)

Undocumented

_observer = (source)

Undocumented

_shouldLogEvent = (source)

Undocumented